const mongoose = require("mongoose");

const blogSchema = new mongoose.Schema({
  title: {
    type: String,
    require: true,
  },
  author: { required: true, type: String },
  date: {
    type: Date,
  },
  image: {
    type: Object,
    default: "",
  },
  body: {
    type: String,
    required: true,
  },
  isBookMarked: {
    type: Boolean,
    default: false,
  },
  comments: [
    {
      user: { ref: "User", type: mongoose.Types.ObjectId },
      review: {
        type: String,
      },
      date: {
        type: Date,
      },
    },
  ],
  user: { ref: "User", type: mongoose.Types.ObjectId },
});
module.exports = mongoose.model("Blog", blogSchema);
