const express = require("express");
const profileRoute = require("../controllers/profile");
const authMiddleware = require("../middleware/requirelogin");

const router = express.Router();

router.get("/getProfile", authMiddleware, profileRoute.getProfile);

router.post("/postProfile", authMiddleware, profileRoute.postProfile);

router.post("/deleteUser", authMiddleware, profileRoute.deleteUser);

router.post("/editUser", authMiddleware, profileRoute.editProfile);

module.exports = router;
